netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
dsi_write.c File Reference
`#include <fcntl.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <sys/stat.h>`
`#include <sys/time.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <atalk/dsi.h>`
`#include <atalk/logger.h>`
`#include <atalk/util.h>`

## Functions
size_t | dsi_writeinit (DSI *dsi, void *buf, const size_t buflen)
size_t | dsi_write (DSI *dsi, void *buf, const size_t buflen)
void | dsi_writeflush (DSI *dsi)

## Function Documentation

## ◆ dsi_write()

size_t dsi_write | ( | DSI * | dsi,
|  | void * | buf,
|  | const size_t | buflen )

fill up buf and then return. this should be called repeatedly until all the data has been read. i block alarm processing during the transfer to avoid sending unnecessary tickles.

## ◆ dsi_writeflush()

void dsi_writeflush | ( | DSI * | dsi | ) |

flush any unread buffers.

## ◆ dsi_writeinit()

size_t dsi_writeinit | ( | DSI * | dsi,
|  | void * | buf,
|  | const size_t | buflen )